package com.aitrainer.api.controller

import com.aitrainer.api.model.Tracking
import com.aitrainer.api.repository.TrackingRepository
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.*
import javax.validation.Valid

@RestController
@RequestMapping("/api")
class TrackingController(private val trackingRepository: TrackingRepository) {

    @PostMapping("/tracking")
    fun createNewTracking(@Valid @RequestBody tracking: Tracking): ResponseEntity<Tracking> {
        return ResponseEntity.ok().body(trackingRepository.save(tracking))
    }

}